Ohtori Akio (ohtori) wrote,
Ohtori Akio
ohtori

CMS Joomla: cannot upgrade to 3.6.5, download of update package failed (fixed)

При попытке автоматического апгрейда CMS Joomla с версии 3.6.0 на 3.6.5 внезапно получил чрезвычайно информативное сообщение - Download of update package failed.

В переводе на айтишный язык: "догадайся, чувак, сам, что это было. Это же тебе надо, а не нам, разработчикам CMS!"

Ну ладно, догадался.

Открываем файл /administrator/components/com_joomlaupdate/models/default.php

Ищем строку

if (!$result || ($result->code != 200 && $result->code != 310))

Добавляем новые коды:

if (!$result || ($result->code != 200 && $result->code != 310 && $result->code != 303 && $result->code != 302))

Клятые инноваторы.
Tags: net, tech
Subscribe

Recent Posts from This Journal

promo ohtori january 31, 2015 03:21 38
Buy for 80 tokens
Этот текст, возможно, будет болезненно воспринят людьми, наблюдающими нынешний кризис на Украине. Впрочем, настоящие фанаты или заснут на середине этого текста, или закроют его не дочитав, или отвлекутся на новости из котла под Дебальцево. Но попробовать стоит. 1. Практически любое современное…
  • Post a new comment

    Error

    default userpic

    Your reply will be screened

    Your IP address will be recorded 

    When you submit the form an invisible reCAPTCHA check will be performed.
    You must follow the Privacy Policy and Google Terms of use.
  • 0 comments